/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "about.h"

// Show the about dialog
void about_dialog_show()
{
  GtkWidget *dialog = gtk_about_dialog_new();
  
  const gchar *authors[] = {
    "Andrew Krause <andrew@openldev.org>",
    "",
    "Contributors:",
    "  Jarmo Hekkanen <jarski 2ndpoint fi>",
    "  Nil Gradisnik <ghaefb gmail com>",
    NULL
  };
  
  const gchar *license = \
      "This program is free software; you can redistribute it and/or modify\n" \
      "it under the terms of the GNU General Public License as published by\n" \
      "the Free Software Foundation; either version 2 of the License, or\n" \
      "(at your option) any later version.\n\n" \
      "This program is distributed in the hope that it will be useful,\n" \
      "but WITHOUT ANY WARRANTY; without even the implied warranty of\n" \
      "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n" \
      "GNU General Public License for more details.\n\n" \
      "You should have received a copy of the GNU General Public License\n" \
      "along with this program; if not, write to the\n" \
      "Free Software Foundation, Inc.,\n" \
      "59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.";

  string logo_location = string(INSTALL_PREFIX) + "/share/pixmaps/openldev/openldev48.png";
  GdkPixbuf *logo = gdk_pixbuf_new_from_file(logo_location.c_str(), NULL);
  logo = gdk_pixbuf_scale_simple(logo, 96, 96, GDK_INTERP_BILINEAR); 
  
  // Populate and show the about dialog
  gtk_about_dialog_set_logo(GTK_ABOUT_DIALOG(dialog), logo);
  gtk_about_dialog_set_comments(GTK_ABOUT_DIALOG(dialog), "Integrated Development Environment");
  gtk_about_dialog_set_authors(GTK_ABOUT_DIALOG(dialog), authors);
  gtk_about_dialog_set_copyright(GTK_ABOUT_DIALOG(dialog), "(c) 2004-2005 Andrew Krause");
  gtk_about_dialog_set_license(GTK_ABOUT_DIALOG(dialog), license);
  gtk_about_dialog_set_name(GTK_ABOUT_DIALOG(dialog), "OpenLDev");
  gtk_about_dialog_set_version(GTK_ABOUT_DIALOG(dialog), VERSION);
  gtk_about_dialog_set_website(GTK_ABOUT_DIALOG(dialog), "http://www.openldev.org");
  gtk_widget_show(dialog);
  
  license = "";
}
