/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

#include "utils.h"

#include <gtk/gtk.h>
#include <glade/glade.h>

// Environment Dialog class
class EnvironmentDialog
{
public:
  EnvironmentDialog (EnvironmentSettings*);

  GtkWidget* get_dialog();
  void initialize_objects();  
  int get_autosave();
  int get_tab_size();
  int get_undo();
  bool get_load_on_launch();
  bool get_replace_tabs();
  bool get_auto_indent();
  bool get_wrap();
  bool get_split();
  bool get_brackets();
  bool get_margin();
  string get_font_size();
  string get_font_face();
  string get_error_color();
  string get_warning_color();

private:
  GtkWidget *dialog, *cancel, *ok, *label_tabstops, *label_filemanagement,
            *label_font, *label_compiler, *label_autoindent, *label_undo,
            *label_text_wrap, *label_bracket, *label_rightmargin, *tab_size,
            *asave_minutes, *undo_actions, *replace_tabs, *load_on_launch,
            *autoindent, *text_wrap, *split_words, *bracket, *right_margin,
            *error, *warning, *fontbutton;

  string fontname;
};

#endif
