/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PROJECT_H
#define PROJECT_H

#include "utils.h"

#include <vector>

// Project properties class
class ProjectSettings
{
public:
  bool load_project_file(string);
  void write_project_file();
  void write_source_makefile();

  string get_name();
  string get_author();
  string get_email();
  string get_url();
  string get_version();
  string get_source_files();
  string get_header_files();
  string get_other_files();
  string get_lastfile();
  string get_location();
  string get_template_name();
  
  void set_source_files(string);
  void set_header_files(string);
  void set_other_files(string);
  void set_lastfile(string);
  void set_name(string);
  void set_author(string);
  void set_email(string);
  void set_homepage(string);
  void set_version(string);
  void close_project();
  void add_file(string);
  void remove_file(string);
  
  bool get_file_in_project(string);

private:
  string name, author, email, url, version, location, 
         lastfile, sources, headers, other_files, template_name;
};

#endif
