/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include <cstdlib>
#include <glib.h>
#include <iostream>
using namespace std;

// Editor settings class
class EnvironmentSettings
{
public:
  void load_settings_file();
  void write_settings_file();
  void create_new_settings_file();

  void set_autoload        (bool);
  void set_replace_tabs    (bool);
  void set_line_numbers    (bool);
  void set_auto_indent     (bool);
  void set_wrap            (bool);
  void set_wrapsplit       (bool);
  void set_brackets        (bool);
  void set_rightmargin     (bool);
  void set_autosave        (int);
  void set_tabsize         (int);
  void set_treeview_width  (int);
  void set_buildbox_height (int);
  void set_font_size       (string);
  void set_error           (string);
  void set_toolbar         (string);
  void set_warning         (string);
  void set_font_face       (string);
  void set_lastproject     (string);
  void set_width           (int);
  void set_height          (int);
  void set_undo            (int);

  int  get_autosave();
  int  get_tabsize();
  int  get_width();
  int  get_height();
  int  get_treeview_width();
  int  get_buildbox_height();
  int  get_undo();
  bool get_autoload();
  bool get_replace_tabs();
  bool get_line_numbers();
  bool get_auto_indent();
  bool get_wrap();
  bool get_wrapsplit();
  bool get_brackets();
  bool get_rightmargin();
  
  string get_error_color();
  string get_warning_color();
  string get_font_size();
  string get_font_face();
  string get_lastproject();
  string get_toolbar();

private:
  int autosave, tabsize, width, height, treeview_width, buildbox_height, undo;
  bool autoload, replace_tabs, line_numbers, autoindent, wrapsplit, wrap, 
       brackets, rightmargin;
  string error, warning, fontface, lastproject, fontsize, toolbar;
};

#endif
